CREATE TABLE fnd_df_segments_b (
    ENTERPRISE_ID                 NUMBER(18, 0) ,
    SANDBOX_ID                    VARCHAR2(256) ,
    APPLICATION_ID                NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_CODE    VARCHAR2(160) ,
    CONTEXT_CODE                  VARCHAR2(320) ,
    SEGMENT_CODE                  VARCHAR2(120) ,
    SEGMENT_IDENTIFIER            VARCHAR2(120) ,
    COLUMN_NAME                   VARCHAR2(120)     NOT NULL,
    SEQUENCE_NUMBER               NUMBER(3, 0)      NOT NULL,
    ENABLED_FLAG                  VARCHAR2(4)       NOT NULL,
    REQUIRED_FLAG                 VARCHAR2(4)       NOT NULL,
    VALUE_SET_ID                  NUMBER(18, 0) ,
    DEFAULT_TYPE                  VARCHAR2(120) ,
    DEFAULT_VALUE                 VARCHAR2(4000),
    DEFAULT_VALUE_NUMBER          NUMBER        ,
    DEFAULT_VALUE_DATE            DATE          ,
    DEFAULT_VALUE_TIMESTAMP       TIMESTAMP(6)  ,
    DERIVATION_VALUE              VARCHAR2(320) ,
    RANGE_TYPE                    VARCHAR2(120) ,
    READ_ONLY_FLAG                VARCHAR2(4)       NOT NULL,
    DISPLAY_TYPE                  VARCHAR2(120)     NOT NULL,
    DISPLAY_WIDTH                 NUMBER(3, 0)  ,
    DISPLAY_HEIGHT                NUMBER(2, 0)  ,
    CHECKBOX_CHECKED_VALUE        VARCHAR2(120) ,
    CHECKBOX_UNCHECKED_VALUE      VARCHAR2(120) ,
    DYNAMIC_URL                   VARCHAR2(4000),
    UOM_CLASS                     VARCHAR2(40)  ,
    INDEXED_FLAG                  VARCHAR2(4)   ,
    MULTIROW_UNIQUE_KEY_FLAG      VARCHAR2(4)   ,
    BI_ENABLED_FLAG               VARCHAR2(4)       NOT NULL,
    BI_EQUALIZATION_TAG           VARCHAR2(120) ,
    SHOW_VALUE_DESCRIPTION        VARCHAR2(4)   ,
    C_EXT_ATTRIBUTE1              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE2              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE3              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE4              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE5              VARCHAR2(600) ,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0) ,
    APPLICATION_ID                NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_CODE    VARCHAR2(160) ,
    CONTEXT_CODE                  VARCHAR2(320) ,
    SEGMENT_CODE                  VARCHAR2(120) ,
    COLUMN_NAME                   VARCHAR2(120)     NOT NULL,
    SEQUENCE_NUMBER               NUMBER(3, 0)      NOT NULL,
    ENABLED_FLAG                  VARCHAR2(4)       NOT NULL,
    REQUIRED_FLAG                 VARCHAR2(4)       NOT NULL,
    VALUE_SET_ID                  NUMBER(18, 0) ,
    DEFAULT_TYPE                  VARCHAR2(120) ,
    DEFAULT_VALUE                 VARCHAR2(4000),
    DERIVATION_VALUE              VARCHAR2(320) ,
    RANGE_TYPE                    VARCHAR2(120) ,
    READ_ONLY_FLAG                VARCHAR2(4)       NOT NULL,
    DISPLAY_TYPE                  VARCHAR2(120)     NOT NULL,
    DISPLAY_WIDTH                 NUMBER(3, 0)  ,
    DISPLAY_HEIGHT                NUMBER(2, 0)  ,
    CHECKBOX_CHECKED_VALUE        VARCHAR2(120) ,
    CHECKBOX_UNCHECKED_VALUE      VARCHAR2(120) ,
    DYNAMIC_URL                   VARCHAR2(4000),
    UOM_CLASS                     VARCHAR2(40)  ,
    INDEXED_FLAG                  VARCHAR2(4)   ,
    MULTIROW_UNIQUE_KEY_FLAG      VARCHAR2(4)   ,
    BI_ENABLED_FLAG               VARCHAR2(4)       NOT NULL,
    BI_EQUALIZATION_TAG           VARCHAR2(120) ,
    SHOW_VALUE_DESCRIPTION        VARCHAR2(4)   ,
    C_EXT_ATTRIBUTE1              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE2              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE3              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE4              VARCHAR2(600) ,
    C_EXT_ATTRIBUTE5              VARCHAR2(600) ,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SEGMENT_IDENTIFIER            VARCHAR2(120) ,
    DEFAULT_VALUE_NUMBER          NUMBER        ,
    DEFAULT_VALUE_DATE            DATE          ,
    DEFAULT_VALUE_TIMESTAMP       TIMESTAMP(6)  ,
    SANDBOX_ID                    VARCHAR2(256) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_df_segments_b PRIMARY KEY (ENTERPRISE_ID, SANDBOX_ID, APPLICATION_ID, DESCRIPTIVE_FLEXFIELD_CODE, CONTEXT_CODE, SEGMENT_CODE, ENTERPRISE_ID, APPLICATION_ID, DESCRIPTIVE_FLEXFIELD_CODE, CONTEXT_CODE, SEGMENT_CODE, SANDBOX_ID)
);
